Get Topic
Retrieve a single topic by ID.
GET
/topics/{topic_id}Requires a full_access API key.
Path Parameters
topic_idstringrequiredThe topic ID (UUID).
Response Fields
objectstringAlways "topic".
idstringThe topic ID.
namestringThe topic name.
descriptionstring | nullThe topic description.
default_subscriptionstringThe default subscription state: "opt_in" or "opt_out".
visibilitystringTopic visibility: "public" or "private".
created_atstringISO 8601 timestamp.
curl -X GET 'https://api.postflare.app/topics/b2c3d4e5-f6a7-8901-bcde-f12345678901' \
-H 'Authorization: Bearer re_xxxxxxxxx'const response = await fetch(
'https://api.postflare.app/topics/b2c3d4e5-f6a7-8901-bcde-f12345678901',
{
headers: {
'Authorization': 'Bearer re_xxxxxxxxx',
},
}
);
const data = await response.json();Response
{
"object": "topic",
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "Product Updates",
"description": "Receive the latest product news",
"default_subscription": "opt_in",
"visibility": "public",
"created_at": "2026-01-01T00:00:00.000Z"
}